%% search_return
%    determine where a results cell exists for a pair of condition
%    cells and returns the cell itself.
% inputs:
%   object:rgrid - reference to current rgrid
%   cell1:cell - reference to condition cell in top grid.
%   cell2:cell - reference to condition cell in left grid.
% outputs;
%   cell:rcell - if found returns reference to cell, if not returns
%   empty
% Author: Colin Eles elesc@mcmaster.ca
% Organization: McMaster Centre for Software Certification
function cell = search_return(object,cell1,cell2)
cell = [];
for i=1:size(object.Cells,2)
    if (object.Cells(i).Cell1 == cell1 && object.Cells(i).Cell2 == cell2);
        cell = object.Cells(i);
    end
end
end

